Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003427 [JEDI VCL] 00 JVCL Components minor always 2006-01-08 22:43 2006-04-05 01:23
Reporter mriepp View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003427: TJvDesignSelector: Selecting 2 or more Components on the Designpanel are not available
Description TJvDesignSelector:
Selecting 2 or more Components on the Designpanel are not available

To Resolve this problem change the sourcecode in
TJvDesignImp.pas

function TJvDesignSelector.FindHandles(AValue: TControl):
TJvDesignHandles;
var
  I: Integer;
begin
  Result := nil;
  for I := 0 to Count - 1 do
  begin
    Result := Handles[I];
    if Result.Selected = AValue then

    // Bug-Fix Start
    // Old : Break;

      Break else Result:=nil;

    // Buf-Fix End
  end;
end;

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008894)
obones (administrator)
2006-04-04 07:14

Thanks, this is now ready to be put in CVS and will be as soon as it is back online
(0008945)
obones (administrator)
2006-04-05 01:23

This is now in CVS

- Issue History
Date Modified Username Field Change
2006-01-08 22:43 mriepp New Issue
2006-04-04 07:14 obones Note Added: 0008894
2006-04-04 07:14 obones Status new => confirmed
2006-04-05 01:23 obones Status confirmed => resolved
2006-04-05 01:23 obones Resolution open => fixed
2006-04-05 01:23 obones Assigned To => obones
2006-04-05 01:23 obones Note Added: 0008945


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker